List all views
curl --request GET \
--url https://api.beamstudio.ai/agent-views \
--header 'current-workspace-id: <current-workspace-id>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.beamstudio.ai/agent-views"
headers = {
"current-workspace-id": "<current-workspace-id>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'current-workspace-id': '<current-workspace-id>', 'x-api-key': '<api-key>'}
};
fetch('https://api.beamstudio.ai/agent-views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"views": [
{
"id": "<string>",
"agentId": "<string>",
"name": "<string>",
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"agent": {
"id": "<string>",
"name": "<string>",
"iconUrl": "<string>"
},
"description": "<string>",
"columns": [
{
"id": "<string>",
"name": "<string>",
"agentGraphNodeId": "<string>",
"paramName": "<string>",
"position": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"linkedAgentViewId": "<string>",
"linkedView": {
"id": "<string>",
"name": "<string>"
},
"linkType": "<string>",
"linkMatchSourceColumn": {
"id": "<string>",
"name": "<string>"
},
"linkMatchTargetColumn": {
"id": "<string>",
"name": "<string>"
},
"reverseColumnId": "<string>"
}
]
}
],
"total": 123
}Agent Views
List all views
GET
/
agent-views
List all views
Authorizations
Headers
Query Parameters
Filter by agent ID
Search by view name or description
Required range:
x >= 1Required range:
1 <= x <= 100⌘I